## uswsusp 1.0+20120915

=== debian/changelog ===
uswsusp (1.0+20120915-6.2) unstable; urgency=low

  * Non-maintainer upload.
  * B-d on libgcrypt20-dev instead of (dummy transition package)
    libgcrypt11-dev.  Closes: #864139

 -- Andreas Metzler <ametzler@debian.org>  Sat, 27 Oct 2018 09:52:54 +0200

uswsusp (1.0+20120915-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "ftbfs with GCC-5": add patch from Andrew James:
    use C99 inline semantics.
    (Closes: #778159)

 -- gregor herrmann <gregoa@debian.org>  Sun, 19 Jul 2015 17:12:45 +0200

uswsusp (1.0+20120915-6) unstable; urgency=medium

  * Updated debian/initramfs-tools/hooks/uswsusp to allow lines with trailing
    spaces, lines starting with spaces,... like the debian/uswsusp.config and
    debian/uswsusp.postinst scripts do it. The line with the sed call was
    modified. [Closes: #758128]
  * Disabled image encryption to avoid FTBFS. I hold the bug #758995 still
    open and I will work to re-enable the encription support.
    [Closes: #763260]

 -- Rodolfo García Peñas (kix) <kix@debian.org>  Fri, 15 Aug 2014 12:53:46 +0200

uswsusp (1.0+20120915-5) unstable; urgency=low

  * Bumped Standard Version to 3.9.5.
    * Files uswsusp.config, uswsusp.postinst, uswsusp.postrm and
      uswsusp.preinst are now UTF-8.
  * Solved bug in uswsusp.config about uuid devices.
  * Added the "compile" file to "extend-diff-ignore" option in the file
    debian/source/options. This file is created by the new version of automake.
  * Updated Vcs-* fields in debian/control to use Alioth.
  * Added libswitch-perl package in debian/control, as Build dependency. The
    module switch.pm was removed from perl core, and is included as optional
    package. [Closes: #739535]

 -- Rodolfo García Peñas (kix) <kix@debian.org>  Sun, 29 Dec 2013 19:10:20 +0100

uswsusp (1.0+20120915-4) unstable; urgency=low

  * Reference swap devices as /dev/disk/by-uuid by default. [Closes: #572729]
    * Added function dev_to_uuid in debian/uswsusp.config.
  * New patch debian/patches/10_checksum_buffer_size.patch. [Closes: #638787]
    * This patch fixes the buffer overrun to fix the comparison with the image
      checksum. Patch sent by Alberto Garcia <berto@igalia.com>.

 -- Rodolfo García Peñas (kix) <kix@debian.org>  Wed, 14 Aug 2013 19:01:03 +0200

uswsusp (1.0+20120915-3) unstable; urgency=low

  * Close the problem for powerpc FTBFS.
    * New patch debian/patches/00_ppc_ftbfs.patch to patch upstream code
      that fails to build from source in PowerPC architecture.
    * The patch debian/patches/08_disable_kms_cfg_file.patch rewritten,
      is the same code, but in different files.
    * Headers for other debian/patches changed, because the code was sent
      to upstream (Forwarded fields updated).
  * Changed maintainer email address from kix@kix.es to kix@debian.org.

 -- Rodolfo García Peñas (kix) <kix@debian.org>  Sat, 06 Jul 2013 15:54:11 +0200

uswsusp (1.0+20120915-2) unstable; urgency=low

  * New upstream version. [Closes: #634117, #628546, #392168]
  * Some upstream code corrections:
    * Minor typecasting warnings:
      debian/patches/06_typecasting_warnings.patch.
    * Incorrect argument request:
      debian/patches/07_no_kms_argument.patch.
    * Disable KMS using config file:
      debian/patches/08_disable_kms_cfg_file.patch.
  * Added UUID support. [Closes: #664101, #701755, #501223]
    * Required libblkid-dev in debian/control.
    * New patch file debian/patches/05_uuid_support.patch.
  * debian/compat is now version 9.
    * debian/dirs moved to uswsusp.dirs.
    * debian/install moved to debian/uswsusp.install and rewrited.
    * debian/links moved to debian/uswsusp.links.
  * Bumped Standard Version to 3.9.4.
    * New Vcs-Browser and Vcs-Git fields.
  * debian/rules changed:
    * Removed commented lines.
    * Now uses autogen.sh.
    * Removed manpages regeneration. See below.
    * Removed dh_clean override.
      * Added extend-diff-ignore to debian/source/options.
  * Removed debian/patches/04_debian_paths.patch because ./autogen.sh
    is included in debian/rules, so modify ./configure is not needed.
    * automake and libtool are required to build the package.
      Added to debian/control.
  * Manpages are included now in upstream.
    * Manpages are now not regenerated. The package doesn't depends now on
      xml tools. docbook-xsl, docbook-xml, xsltproc and docbook2x package
      dependencies removed in debian/control.
      * debian/rules updated.
      * debian/manpages updated.
    * Removed manpage files at debian folder (debian/*.[58] debian/*.[58].xml.
    * New debian/patches/04_uswsusp_manpages.patch to change
      the suspend-utils strings to uswsusp.
    * Manpage spelling corrections [Closes: #672647].
      * Patch sent by Jon Dowland <jmtd@debian.org>.
  * debian/lintian-overrides: Added no-upstream-changelog.
  * debian/uswsusp.* debconf script rewrited.
  * Support for swap files. [Closes: #515739]
    * Removed "02" characters in debian/uswsusp.config.
      Patch sent by Alan Jenkins <alan-jenkins@tuffmail.co.uk>
  * Imagesize now is unsigned long. [Closes: #676617]
    * Patch sent by Luca Tettamanti.
  * Initramfs conf.d script moved to compiletime config conf-hooks.d.
    [Closes: #575538]
    * Comments added to the file.
  * Removed uswsusp/splash debconf template because splasy package is not
    available. Files changed: debian/uswsusp.config, debian/uswsusp.postinst
    and debian/uswsusp.templates. [Closes: #697886]
  * Template errors are now "text". [Closes: #564152]
    Templates were: uswsusp/no_snapshot and uswsusp/no_swap.
  * Updated debian/NEWS.
  * README file include more info about s2ram methods:
    Patch debian/patches/09_readme_new_options.patch.

 -- Rodolfo García Peñas (kix) <kix@kix.es>  Sun, 26 May 2013 21:24:30 +0200
