=== debian/control ===
Source: uswsusp
Section: admin
Priority: optional
Maintainer: Rodolfo García Peñas (kix) <kix@debian.org>
Uploaders: Anibal Monsalve Salazar <anibal@debian.org>
Build-Depends: debhelper (>= 9), automake (>= 1:1.11), libtool, autotools-dev, libpci-dev, po-debconf, zlib1g-dev, libx86-dev [amd64 i386], pkg-config, liblzo2-dev, libgcrypt20-dev, libblkid-dev, libswitch-perl, dh-systemd (>= 1.5)
Standards-Version: 3.9.5
Homepage: http://suspend.sourceforge.net/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/suspend-utils.git
Vcs-Git: git://anonscm.debian.org/collab-maint/suspend-utils.git

Package: uswsusp
Architecture: amd64 i386 powerpc
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: initramfs-tools (>= 0.74), mount (>= 2.12r-17)
Description: tools to use userspace software suspend provided by Linux
 This package (also known as µswsusp, suspend-utils or simply suspend) 
 contains the programs to use the userspace software suspend facility
 available in Linux kernels 2.6.17-rc1 and higher. It allows the system
 to have its state saved to disk and be powered off. On restarting,
 it will be put back in the state it was left in (this is sometimes
 called hibernation).
 .
 It also includes a program to suspend the system to RAM after the
 state is saved to disk. In that state, the system still uses power,
 but resuming is faster. If the battery depletes, the state is
 resumed from disk without data loss.
 .
 Optional features include encrypting the system snapshot.
 .
 To use this package you need a Linux kernel version 2.6.17-rc1 or newer
 configured to use an initramfs. Hooks and scripts to integrate with 
 initramfs-tools are provided.
