=== debian/rules ===
#!/usr/bin/make -f
#
# Copyright 2006 Tim Dijstra <tim@famdijkstra.org>
# Upgraded by Rodolfo García Peñas (kix) <kix@kix.es>

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh ${@} --with=systemd

override_dh_auto_configure:
	dh_testdir
	./autogen.sh
	dh_auto_configure -- \
		-prefix=/usr \
		--sysconfdir=/etc \
		--localstatedir=/var \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \
		--docdir=\$${prefix}/share/doc/uswsusp \
		--with-initramfsdir=/usr/lib/uswsusp \
		--disable-resume-static \
		--disable-create-device \
		--enable-compress \
		--enable-encrypt

override_dh_auto_install:
	# We must create the /etc folder because suspend-utils doesn't do it
	mkdir -p $(CURDIR)/debian/tmp/etc
	dh_install
	rm -f $(CURDIR)/debian/uswsusp/etc/suspend.conf
	rm -f $(CURDIR)/debian/uswsusp/usr/share/doc/uswsusp/COPYING*
	rm -rf $(CURDIR)/debian/uswsusp/dev
